<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>net.ihe.gazelle.xdstar.modules</groupId>
		<artifactId>XDStar-modules</artifactId>
		<version>2.0.5-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>net.ihe.gazelle.xdstar.wado</groupId>
	<artifactId>WADOValidator-jar</artifactId>
	<packaging>ejb</packaging>
	<name>WADOValidator - JAR</name>
	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>appassembler-maven-plugin</artifactId>
				<version>1.3.1</version>
				<configuration>
					<programs>
						<program>
							<mainClass>net.ihe.gazelle.xdstar.wado.app.WadoAppValidator</mainClass>
							<name>validator</name>
						</program>
					</programs>
					<binFileExtensions>
						<unix>.sh</unix>
					</binFileExtensions>
				</configuration>
				<executions>
				    <execution>
				      <id>assemble</id>
				      <goals>
				        <goal>assemble</goal>
				      </goals>
				    </execution>
				  </executions>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>net.ihe.gazelle.simulators</groupId>
			<artifactId>simulator-common-ejb</artifactId>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>log4j-over-slf4j</artifactId>
			<version>1.5.10</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-code-jar</artifactId>
			<version>2.0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-operations-jar</artifactId>
			<version>0.14</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>apache-httpclient</groupId>
			<artifactId>commons-httpclient</artifactId>
			<version>3.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>4.3.1</version>
		</dependency>
		<dependency>
			<groupId>args4j</groupId>
			<artifactId>args4j</artifactId>
			<version>2.0.23</version>
		</dependency>
	</dependencies>
</project>
